@echo off
rem This batch file was created 2007 sergio@arnes.si
set batch=%~f0
cls
echo -----------------------------------------------------------------
echo This batch file (%batch%) will import data to cacti
echo For successful import you heve to configre all needed plugins, scripts, xmls
echo -----------------------------------------------------------------
echo.
echo.
echo.
echo Press any key to start importing
echo or close this window to abort...
pause > nul
cls
@rem ######################################################
@rem SETTINGS

@rem Set username and password of cacti soap service
SET USERNAME=soap
SET PASSWORD=arnes

@rem Locaction (IP or fqdn)  of cacti server
@rem SET FQDN=test.net
SET FQDN=test.net

@rem Locaction URN withiout fqdn
@rem SET URN=cacti
SET URN=cacti

@rem Path of source csv files
SET SOURCE_IMPORT_PHP=C:\\workspace\\import
SET SOURCE_IMPORT=C:\workspace\import
SET HOST=hosts.csv
SET GRAPH=graphs.csv

@rem ######################################################

   FOR /f "tokens=2-4 skip=1 delims=(-)" %%G IN ('echo.^|date') DO (
      FOR /f "tokens=2 delims= " %%A IN ('date /t') DO (
         SET v_first=%%G
         SET v_second=%%H
         SET v_third=%%I
         SET v_all=%%A
      )
   )

echo.
echo Rename backup files
rename "%SOURCE_IMPORT%\%HOST%err.csv" "%SOURCE_IMPORT%\%HOST%err.csv%yy%%mm%%dd%%nn%"
rename "%SOURCE_IMPORT%\%HOST%log.csv" "%SOURCE_IMPORT%\%HOST%log.csv%yy%%mm%%dd%%nn%"
rename "%SOURCE_IMPORT%\%GRAPH%err.csv" "%SOURCE_IMPORT%\%GRAPH%err.csv%yy%%mm%%dd%%nn%"
rename "%SOURCE_IMPORT%\%GRAPH%log.csv" "%SOURCE_IMPORT%\%GRAPH%log.csv%yy%%mm%%dd%%nn%"
echo.
echo.
echo Importing hosts
echo Press any key to continue
pause > nul
php auto_add_devices_cl.php --urn="%FQDN%/%URN%" --username="%USERNAME%" --password="%PASSWORD%" --source="%SOURCE_IMPORT_PHP%\\%HOST%"
echo.
echo Importing graphs
echo Press any key to continue
pause > nul
php auto_add_graphs_cl.php --urn="%FQDN%/%URN%" --username="%USERNAME%" --password="%PASSWORD%" --source="%SOURCE_IMPORT_PHP%\\%GRAPH%"
echo.
echo Importing trees
echo Press any key to continue
pause > nul
php auto_add_trees_cl.php --urn="%FQDN%/%URN%" --username="%USERNAME%" --password="%PASSWORD%" --source="%SOURCE_IMPORT_PHP%\\%GRAPH%"
echo.
echo Importing permissions (Not implemented yet)
echo Press any key to continue
pause > nul
echo php auto_add_perm_cl.php --urn="%FQDN%/%URN%" --username="%USERNAME%" --password="%PASSWORD%" --source="%SOURCE_IMPORT_PHP%\\%GRAPH%"
echo.
echo.
echo Press any key to exit this window!
pause > nul
cls